# Uses of Class
org.apache.datasketches.req.ReqSketchBuilder

Packages that use ReqSketchBuilder
Package
Description
org.apache.datasketches.req
This package is for the implementation of the Relative Error Quantiles sketch algorithm.

## Uses of ReqSketchBuilder in org.apache.datasketches.req

Methods in org.apache.datasketches.req that return ReqSketchBuilder
Modifier and Type
Method
Description
`static final ReqSketchBuilder`
ReqSketch.`builder()`
Returns a new ReqSketchBuilder
`ReqSketchBuilder`
ReqSketchBuilder.`setHighRankAccuracy(boolean hra)`
This sets the parameter highRankAccuracy.
`ReqSketchBuilder`
ReqSketchBuilder.`setK(int k)`
This sets the parameter k.
`ReqSketchBuilder`
ReqSketchBuilder.`setReqDebug(ReqDebug reqDebug)`
This sets the parameter reqDebug.